import chalk from 'chalk';
import { db, ClosePool } from '../src/db/index.ts';
import * as Indexing from './pokemon-helper.ts';


// await Indexing.createCardCollection();
await Indexing.createSkuCollection();
await Indexing.createInventoryCollection();

// await Indexing.upsertCardCollection(db);
await Indexing.upsertSkuCollection(db);
await Indexing.upsertInventoryCollection(db);
await ClosePool();
console.log(chalk.green('Pokémon reindex complete.'));
